org.apache.xmlgraphics.ps.dsc.events

## Class DSCAtend

- java.lang.Object
- - org.apache.xmlgraphics.ps.dsc.events.AbstractEvent
  - - org.apache.xmlgraphics.ps.dsc.events.AbstractDSCComment
    - - org.apache.xmlgraphics.ps.dsc.events.DSCAtend

- All Implemented Interfaces:
    DSCParserConstants, DSCComment, DSCEvent

      public class DSCAtend
      extends AbstractDSCComment

  This class represents a DSC comment with an "(ATEND)" value.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.xmlgraphics.ps.dsc.DSCParserConstants

      `COMMENT, DSC_COMMENT, EOF, HEADER_COMMENT, LINE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DSCAtend(java.lang.String name)` Creates a new instance

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DSCComment` | `createDSCCommentFromAtend()` Creates a new instance of a DSC comment with the same name as this instance but does not have an "Atend" value.
    `void` | `generate(PSGenerator gen)` Writes the event to the given PSGenerator.
    `java.lang.String` | `getName()` Returns the name of the DSC comment.
    `boolean` | `hasValues()` Indicates whether this DSC comment has values.
    `boolean` | `isAtend()` Indicates whether the DSC comment's value is "Atend".
    `void` | `parseValue(java.lang.String value)` Parses the value of the DSC comment.

    - ### Methods inherited from class org.apache.xmlgraphics.ps.dsc.events.AbstractDSCComment

      `asDSCComment, getEventType, isDSCComment, splitParams`

    - ### Methods inherited from class org.apache.xmlgraphics.ps.dsc.events.AbstractEvent

      `asLine, isComment, isHeaderComment, isLine`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlgraphics.ps.dsc.events.DSCEvent

      `asLine, isComment, isHeaderComment, isLine`

- - ### Constructor Detail

    - #### DSCAtend

          public DSCAtend(java.lang.String name)

      Creates a new instance
      Parameters:
        `name` - the name of the DSC comment (without the "%%" prefix)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `DSCComment`
      Returns the name of the DSC comment.
      Returns:
        the name of the DSC comment (without the "%%" prefix)
      See Also:
        `DSCComment.getName()`

    - #### hasValues

          public boolean hasValues()

      Description copied from interface: `DSCComment`
      Indicates whether this DSC comment has values.
      Returns:
        true if the DSC comment has values
      See Also:
        `DSCComment.hasValues()`

    - #### isAtend

          public boolean isAtend()

      Description copied from interface: `DSCComment`
      Indicates whether the DSC comment's value is "Atend".
      Specified by:
        `isAtend` in interface `DSCComment`
      Overrides:
        `isAtend` in class `AbstractDSCComment`
      Returns:
        true if the value is "Atend"
      See Also:
        `AbstractDSCComment.isAtend()`

    - #### parseValue

          public void parseValue(java.lang.String value)

      Description copied from interface: `DSCComment`
      Parses the value of the DSC comment.
      Parameters:
        `value` - the value
      See Also:
        `DSCComment.parseValue(java.lang.String)`

    - #### generate

          public void generate(PSGenerator gen)
                        throws java.io.IOException

      Description copied from interface: `DSCEvent`
      Writes the event to the given PSGenerator.
      Parameters:
        `gen` - the PSGenerator to write to
      Throws:
        `java.io.IOException` - In case of an I/O error
      See Also:
        `DSCEvent.generate( org.apache.xmlgraphics.ps.PSGenerator)`

    - #### createDSCCommentFromAtend

          public DSCComment createDSCCommentFromAtend()

      Creates a new instance of a DSC comment with the same name as this instance but does not have an "Atend" value.
      Returns:
        the new DSC comment

Copyright 1999-2019 The Apache Software Foundation. All Rights Reserved.